Kali2020.3 安装openvas GVM)

来自运维百科
apt install update
apt install dist-upgrade
apt install gvm   这一步会花费一些时间
gvm初始化
sudo gvm-setup
这一步会花费巨多的时间,多久都有可能。并且在进行过程中可能会中断。但是那也不慌,一步一步来吗,gvm提供了检查错误的机制。
执行命令检查错误
sudo gvm-check-setup 这里有十步检查,会有各种各样的错误
sudo gvm-start
sudo runuser -u _gvm -- gvmd --create-user=root --new-password=root
注:gvmd前面是2个‘-’以及一个空格,create前面是2个‘-’,编辑时是2个‘-’

报错处理:

ERROR: The default postgresql version is not 13 required by libgvmd
Error: Use pg_upgradecluster to update your postgres cluster 
错误原因:
kali默认使用postgresql的版本是12,而openvas要13,并且12与13版本间不兼容
解决方法:手动停用postgresql 12,启用postgresql 13。
sudo apt install postgresql-13
sudo systemctl stop postgresql@13-main
sudo systemctl daemon-reload
sudo pg_dropcluster 13 main –stop
sudo pg_upgradecluster 12 main